Subject: Re: [MEXT] [RFC3775 changes] De-registration when returning home(another atempt)

From: "Sri Gundavelli" <[email-masked]>
Date: Thu, 5 Jun 2008 09:55:53 -0700

George,

To close this issue. I'm ok with the proposed text.

Sri 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of George Tsirtsis
> Sent: Thursday, March 27, 2008 3:26 AM
> To: [email-masked]
> Subject: [MEXT] [RFC3775 changes] De-registration when 
> returning home(another atempt)
> 
> Hi all,
> 
> Here is another attempt to resolve this issue. I think the discussion,
> although somewhat painful, has been illuminating and now people seem
> to at least understand why this is currently a SHOULD. I think there
> is also agreement on what the MN needs to do depending on its
> connectivity situation and its desire to use the home link or not.
> 
> I think people also understand that this is somewhat related to the
> PMIP/MIP interactions discussion in NETLMM WG. In that sense the
> following is proposed with the understanding that *connecting* to the
> home link, does not automatically invalidate the HA binding pointing
> to a foreign link. The HA BCEs for the MN are only removed if a dereg
> BU is sent by the MN and received by the HA. It is also, however,
> recognized that the MN must indeed send a dereg BU before
> sending/receiving traffic over the home link.
> 
> We should now be able to come to some agreement, which of course will
> not be possible unless people are flexible and recognize the effort to
> capture the discussion in the following:
> 
> OLD TEXT:
>    A mobile node detects that it has returned to its home link through
>    the movement detection algorithm in use (Section 11.5.1), when the
>    mobile node detects that its home subnet prefix is again on-link.
>    The mobile node SHOULD then send a Binding Update to its 
> home agent,
>    to instruct its home agent to no longer intercept or tunnel packets
>    for it.
> 
> NEW TEXT:
>    A mobile node detects that it has returned to its home link through
>    the movement detection algorithm in use (Section 11.5.1), when the
>    mobile node detects that its home subnet prefix is again on-link.
>    Although the home link may not be immediately used, e.g., 
> if the mobile
>    node still maintains foreign links, the mobile node MUST 
> send a Binding
>    Update to its home agent, to instruct its home agent to no 
> longer intercept
>    or tunnel packets for it, before sending/receiving traffic on its
> home link.
> 
> 
> Regards
> George
> _______________________________________________
> MEXT mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mext

_______________________________________________
MEXT mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mext